package de.dhbwstuttgart.target.tree.type;

public record TargetPrimitiveType(String name) implements TargetType {

    @Override
    public String toSignature() {
        return getInternalName();
    }

    @Override
    public String toDescriptor() {
        return toSignature();
    }

    @Override
    public String getInternalName() {
        return name;
    }
}
